Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

API de tarjeta digital

Suspend

post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:suspend

This request is used by the issuer backend to request the suspension of the digital card if the digital card is active. The result of this operation is synchronous from a TSP point of view (a successful response means that the digital card has been successfully suspended on the TSP itself) but does not guarantee that any update has occurred yet on the device, an optional notification will be sent on successful/unsuccessful completion of the operation on the wallet.

Autorizaciones
AuthorizationstringRequerido

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

digitalCardIdstring · mín: 1 · máx: 64Requerido

The id of the digital card

Pattern: [A-Za-z0-9_-]{1,64}
Parámetros de encabezado
x-correlation-idstring · mín: 1 · máx: 64Opcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Cuerpo

The following object represent the account

reasonstringOpcional

The reason why the action is performed.

Pattern: ^[a-zA-Z0-9 ]{1,64}$
reasonCodestring · enumOpcional

The reason code why the action is performed.
If not provided , default reason code is ISSUER_DECISION

Valores posibles:
Respuestas
200

Successful card suspension request

application/json

Operation information.

operationIdstring · mín: 1 · máx: 64Opcional

Unique identifier of the operation

Pattern: [A-Za-z0-9_-]{1,64}
statusstring · enumRequerido

Status of the operation

Valores posibles:
post/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:suspend
POST /banking/v1/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:suspend HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46

{
  "reason": "text",
  "reasonCode": "USER_DECISION"
}
{
  "operationId": "text",
  "status": "PENDING"
}

Resume

post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:resume

This request is used by the issuer backend to request - the activation of the digital card if it has never been activated - the resumption of the digital card if the digital card is suspended The result of this operation is synchronous from a TSP point of view (a successful response means that the digital card has been successfully resumed on the TSP itself) but does not guarantee that any update has occurred yet on the device, an optional notification will be sent on successful/unsuccessful completion of the operation on the wallet.

Autorizaciones
AuthorizationstringRequerido

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

digitalCardIdstring · mín: 1 · máx: 64Requerido

The id of the digital card

Pattern: [A-Za-z0-9_-]{1,64}
Parámetros de encabezado
x-correlation-idstring · mín: 1 · máx: 64Opcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Cuerpo

The following object represent the Digital Card Resume request payload

reasonstringOpcional

The reason why the action is performed.

Pattern: ^[a-zA-Z0-9 ]{1,64}$
reasonCodestring · enumOpcional

The reason code why the action is performed.
If not provided , default reason code is ISSUER_DECISION

Valores posibles:
Respuestas
200

Successful card resumption

application/json

Operation information.

operationIdstring · mín: 1 · máx: 64Opcional

Unique identifier of the operation

Pattern: [A-Za-z0-9_-]{1,64}
statusstring · enumRequerido

Status of the operation

Valores posibles:
post/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:resume
POST /banking/v1/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:resume HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46

{
  "reason": "text",
  "reasonCode": "USER_DECISION"
}
{
  "operationId": "text",
  "status": "PENDING"
}

Delete

post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:delete

This request is used by the issuer backend to request the deletion of the digital card. The result of this operation is synchronous from a TSP point of view (a successful response means that digital card has been successfully deleted on the TSP itself) but does not guarantee that any update has occurred yet on the device, an optional notification will be sent on successful/unsuccessful completion of the operation on the wallet.

Autorizaciones
AuthorizationstringRequerido

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

digitalCardIdstring · mín: 1 · máx: 64Requerido

The id of the digital card

Pattern: [A-Za-z0-9_-]{1,64}
Parámetros de encabezado
x-correlation-idstring · mín: 1 · máx: 64Opcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Cuerpo

The following object represent the account

reasonstringOpcional

The reason why the action is performed.

Pattern: ^[a-zA-Z0-9 ]{1,64}$
reasonCodestring · enumOpcional

The reason code why the action is performed.
If not provided , default reason code is ISSUER_DECISION

Valores posibles:
Respuestas
200

Successful card deletion request

application/json

Operation information.

operationIdstring · mín: 1 · máx: 64Opcional

Unique identifier of the operation

Pattern: [A-Za-z0-9_-]{1,64}
statusstring · enumRequerido

Status of the operation

Valores posibles:
post/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:delete
POST /banking/v1/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:delete HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46

{
  "reason": "text",
  "reasonCode": "USER_DECISION"
}
{
  "operationId": "text",
  "status": "PENDING"
}

Search

post
/issuers/{issuerId}/digitalCards:search

This request is used by the issuer backend to search for digital cards in D1 using a digital PAN as lookup and retrieve card & end user related details. For example this can be used to retrieve detailed information about the digital card.

Autorizaciones
AuthorizationstringRequerido

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

Parámetros de encabezado
x-correlation-idstring · mín: 1 · máx: 64Opcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Cuerpo
encryptedDatastring · máx: 8192Requerido

Ciphered digital PAN, this DPAN is encrypted using the JWE encryption (please refer to the Sensitive Information Encryption for more details)

Content

Once deciphered, the plaintext contains:

JSON field parameter nametypedescriptionMOCLength
panStringThe digital pan value.MUp to 19
Pattern: ^(?:[A-Za-z0-9+\/]{4})*(?:[A-Za-z0-9+\/]{2}==|[A-Za-z0-9+\/]{3}=)?$
searchTypestring · enumOpcional

The search type

Valores posibles:
Respuestas
200

Search Result

application/json
post/issuers/{issuerId}/digitalCards:search
POST /banking/v1/issuers/{issuerId}/digitalCards:search HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 53

{
  "encryptedData": "text",
  "searchType": "encryptedData"
}
{
  "": {
    "consumerId": "text",
    "digitalCardId": "text",
    "deviceId": "text"
  }
}

Get details

get
/issuers/{issuerId}/digitalCards/{digitalCardId}

This request provides detailed information about the digital card given its card identifier.

Autorizaciones
AuthorizationstringRequerido

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

digitalCardIdstring · mín: 1 · máx: 64Requerido

The id of the digital card

Pattern: [A-Za-z0-9_-]{1,64}
Parámetros de encabezado
x-correlation-idstring · mín: 1 · máx: 64Opcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Respuestas
200

OK

application/json

Provides information about the token. Note that this data is available only if the tokenization is successful or pending.

parentCardIdstring · mín: 1 · máx: 48Opcional

Unique identifier of the card.

Pattern: [A-Za-z0-9_-]{1,48}
digitalCardIdstring · mín: 1 · máx: 64Requerido

Unique identifier of the token specified by the TSP

panSuffixstring · mín: 4 · máx: 4Requerido

Last four digits of the token

statestring · enumRequerido

The state of the digital card (token)

N.B. Tokens in DELETED state are included only if the corresponding issuer onboarding flag (i.e. manageDeletedToken) is set.

Example: ACTIVEValores posibles:
typestring · máx: 16Opcional

The type of the token. Following values are supported:

  • SE
  • HCE
  • COF
  • ECOM
  • QRC
schemeCardIdstring · mín: 1 · máx: 128Solo lecturaOpcional

The card identifier provided by the scheme for a given token requestor. Always present for Visa and Mastercard. When token requestor is ApplePay, it corresponds to the FPANID. Each stakeholder uses a different term to identify this entity; for the sake of clarify a summary table is reported below:

VTSMDESApple Pay
panReferenceIDpanUniqueReferenceFPANID
deviceBindingListstring[]Opcional

List of all devices bound to this token. A device is represented by its binding reference.

provisioningTimestring · máx: 32Opcional

The provisioning time of the token. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

lastReplenishTimestring · máx: 32Opcional

The last time the token keys have been replenished. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

lastStateChangeTimestring · máx: 32Opcional

The last time the token status has been changed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

isPrimarybooleanOpcional

Boolean Flag indicating whether the token is primary or auxiliary.

get/issuers/{issuerId}/digitalCards/{digitalCardId}
GET /banking/v1/issuers/{issuerId}/digitalCards/{digitalCardId} HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "parentCardId": "text",
  "digitalCardId": "text",
  "panSuffix": "text",
  "state": "ACTIVE",
  "type": "text",
  "schemeCardId": "text",
  "deviceBindingList": [
    "text"
  ],
  "provisioningTime": "text",
  "lastReplenishTime": "text",
  "lastStateChangeTime": "text",
  "isPrimary": true,
  "digitalCardRequestorInformation": {
    "id": "text",
    "walletId": "text",
    "name": "text",
    "tspId": "text",
    "originalDigitalCardRequestorId": "text",
    "recommendation": "NOT_APPLICABLE",
    "walletAccountId": "text",
    "captureMethod": "text"
  },
  "deviceInformation": {
    "deviceId": "text",
    "digitalCardStorageType": "text",
    "manufacturer": "text",
    "brand": "text",
    "model": "text",
    "osVersion": "text",
    "firmwareVersion": "text",
    "phoneNumber": "text",
    "fourLastDigitPhoneNumber": "text",
    "deviceName": "text",
    "deviceParentId": "text",
    "language": "text",
    "serialNumber": "text",
    "timeZone": "text",
    "timeZoneSetting": "text",
    "simSerialNumber": "text",
    "IMEI": "text",
    "networkOperator": "text",
    "networkType": "text"
  }
}

Get credentials

get
/issuers/{issuerId}/digitalCards/{digitalCardId}/credentials

This request is used by D1 to provide details about the token credentials of a digital card (that is, PAN, expiry date) given the card identifier.

Note

The issuer system must be configured with the correct applicative encryption key in order to use this API.

Autorizaciones
AuthorizationstringRequerido

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

digitalCardIdstring · mín: 1 · máx: 64Requerido

The id of the digital card

Pattern: [A-Za-z0-9_-]{1,64}
Parámetros de encabezado
x-correlation-idstring · mín: 1 · máx: 64Opcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Respuestas
200

OK

application/json
credentialsstring · mín: 1 · máx: 8196Opcional

The field is the json (cf http://www.json.org/ ) representation of the DIGITAL card. JWE encryption is used to secure the field (please refer to the Sensitive Information Encryption for more details) Details:

{

"pan":"...",

"exp":"..."

}

The PAN is Mandatory, up to 19 digits.

The expiry date in the format MMYY. It is not provided for UPI scheme.

get/issuers/{issuerId}/digitalCards/{digitalCardId}/credentials
GET /banking/v1/issuers/{issuerId}/digitalCards/{digitalCardId}/credentials HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "credentials": "text"
}

Get operation

get
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations/{operationId}

Retrieves the information related to an operation for a digital card.

Operations older than 3 months are removed.

Autorizaciones
AuthorizationstringRequerido

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

operationIdstring · mín: 1 · máx: 64Requerido

Unique identifier of the operation

Pattern: [A-Za-z0-9_-]{1,64}
digitalCardIdstring · mín: 1 · máx: 64Requerido

The id of the digital card

Pattern: [A-Za-z0-9_-]{1,64}
Parámetros de encabezado
x-correlation-idstring · mín: 1 · máx: 64Opcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Respuestas
200

OK

application/json

Operation details related to a specific operationId

operationIdstring · mín: 1 · máx: 64Requerido

Unique identifier of the operation

Pattern: [A-Za-z0-9_-]{1,64}
operationstring · enumRequerido

The lifecycle operation name performed on the target digital card.
A digital card can be activated(i.e. resumed), suspended, deleted from the wallet application or CCI portal; it can also be renewed when expired by the TSP and updated after a card update/renewal operation (concerning a PAN and/or expiry date update).
Note: DELETE_FROM_APP is only applicable for Mastercard digital cards in case of deletion from wallet application.

Valores posibles:
statusstring · enumRequerido

Status of the operation

Valores posibles:
startTimestring · mín: 1 · máx: 64Requerido

The time the request has been processed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

endTimestring · mín: 1 · máx: 64Opcional

The time the request has been processed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

requestorIdstringRequerido

Identifier of the user/entity initiating the operation

- [consumerId if USER] 
- [issuerId if ISSUER] 
- [cci user id if CCI] 
- ["VTS"/"MDES" if TSP]
requestorTypestring · enumRequeridoValores posibles:
reasonstringOpcional
reasonCodestring · enumOpcionalValores posibles:
detailsone ofOpcional
o
anyOpcional

Container to hold detailed information of other Digital Card operation

errorstringOpcional

Human readable string representing the error, only present in case of operation failure

get/issuers/{issuerId}/digitalCards/{digitalCardId}/operations/{operationId}
GET /banking/v1/issuers/{issuerId}/digitalCards/{digitalCardId}/operations/{operationId} HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Get all operations

get
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations

Retrieves all the operations related to a digital card.

The API specifies the starting point (offset) and the number of operations (limit) to be retrieved. Offset 0 (the default) corresponds to the most recent operation. For example a limit of 5 and an offset of 2 would return the five most recent operations before the most recent two”.

If no operations are available for the given digitalCardId, an empty list is returned.

Operations older than 3 months are removed.

Autorizaciones
AuthorizationstringRequerido

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

digitalCardIdstring · mín: 1 · máx: 64Requerido

The id of the digital card

Pattern: [A-Za-z0-9_-]{1,64}
Parámetros de consulta
offsetinteger · máx: 100Opcional

Index from which the query starts returning operations – offset 0 (the default) corresponds to the most recent operation.

limitinteger · mín: 1 · máx: 50Opcional

Number of operations to be returned

Default: 10
Parámetros de encabezado
x-correlation-idstring · mín: 1 · máx: 64Opcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Respuestas
200

OK

application/json
remainingOperationsintegerOpcional
get/issuers/{issuerId}/digitalCards/{digitalCardId}/operations
GET /banking/v1/issuers/{issuerId}/digitalCards/{digitalCardId}/operations HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "operations": [
    {
      "operationId": "text",
      "operation": "SUSPEND",
      "status": "SUCCESSFUL",
      "startTime": "text",
      "endTime": "text",
      "requestorId": "text",
      "requestorType": "ISSUER",
      "reason": "text",
      "reasonCode": "USER_DECISION",
      "details": {
        "bindingInformation": {
          "checks": {
            "typeNotSupported": {
              "result": "YES"
            },
            "manufacturerNotSupported": {
              "result": "YES"
            },
            "osVersionNotSupported": {
              "result": "YES"
            },
            "osBuildVersionNotSupported": {
              "result": "YES"
            },
            "matchedRule": {
              "id": "text",
              "name": "text",
              "scenario": {
                "id": "text",
                "name": "text",
                "conditionIds": [
                  "text"
                ]
              }
            }
          },
          "result": {
            "flow": "RED",
            "idAndVMethods": {
              "supported": [
                "text"
              ],
              "selected": "text"
            }
          },
          "deviceReference": "text",
          "deviceName": "text"
        }
      },
      "error": "text"
    }
  ],
  "remainingOperations": 1
}

StepUp Auth Result

post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:stepupAuthenticationResult

This request is used by the Issuer backend to approve a stepup authentication request (Device Binding/Cardholder Verification).

Autorizaciones
AuthorizationstringRequerido

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

digitalCardIdstring · mín: 1 · máx: 64Requerido

The id of the digital card

Pattern: [A-Za-z0-9_-]{1,64}
Parámetros de encabezado
x-correlation-idstring · mín: 1 · máx: 64Opcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Cuerpo

Step-Up Authentication Result request

authenticationIdinteger · máx: 999999999999999Requerido

this will be the "lifeCycleTraceId" for Visa or the "authenticationCorrelationId" for Mastercard

Respuestas
200

Successful Step-up authentication

application/json

Operation result information.

operationIdstring · mín: 1 · máx: 64Opcional

Unique identifier of the operation

Pattern: [A-Za-z0-9_-]{1,64}
statusstring · enumOpcional

Status of the operation

Valores posibles:
post/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:stepupAuthenticationResult
POST /banking/v1/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:stepupAuthenticationResult HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 76

{
  "authenticationId": 1,
  "details": {
    "result": "SUCCESSFUL",
    "method": "BANK_APP"
  }
}
{
  "operationId": "text",
  "status": "SUCCESSFUL"
}

Unbind

post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:unbind

This request is used by the Issuer backend to unbind a device from a digital card.

Autorizaciones
AuthorizationstringRequerido

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

digitalCardIdstring · mín: 1 · máx: 64Requerido

The id of the digital card

Pattern: [A-Za-z0-9_-]{1,64}
Parámetros de encabezado
x-correlation-idstring · mín: 1 · máx: 64Opcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Cuerpo

Unbind request

deviceReferencestring · mín: 1 · máx: 2Requerido

Corresponds to Visa device index.

Pattern: ^[0-9]{1,2}$
reasonstringOpcional

Free text field providing additional info on the reason why the action is performed.

Pattern: ^[a-zA-Z0-9]{1,64}$
reasonCodestring · enumOpcional

The reason code why the action is performed.
If not provided , default reason code is ISSUER_DECISION

Valores posibles:
Respuestas
200

Successful device binding removal

application/json

Operation result information.

operationIdstring · mín: 1 · máx: 64Opcional

Unique identifier of the operation

Pattern: [A-Za-z0-9_-]{1,64}
statusstring · enumOpcional

Status of the operation

Valores posibles:
post/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:unbind
POST /banking/v1/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:unbind HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 71

{
  "deviceReference": "text",
  "reason": "text",
  "reasonCode": "USER_DECISION"
}
{
  "operationId": "text",
  "status": "SUCCESSFUL"
}

Última actualización

¿Te fue útil?